﻿using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Input;

namespace WpfApp3
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class YourDataType : INotifyPropertyChanged
    {
        public class YourDataType : INotifyPropertyChanged
        {
            private bool _check;
            public bool Check
            {
                get => _check;
                set
                {
                    if (_check != value)
                    {
                        _check = value;
                        OnPropertyChanged(nameof(Check));
                    }
                }
            }

            public event PropertyChangedEventHandler PropertyChanged;

            protected void OnPropertyChanged(string propertyName)
            {
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public class YourViewModel : INotifyPropertyChanged
        {
            private ObservableCollection<YourDataType> _yourItemsSource;

            public YourViewModel()
            {
                YourItemsSource = new ObservableCollection<YourDataType>
                    {
                    new YourDataType { Check = false },
                    new YourDataType { Check = true }
                    };
            }

            public ObservableCollection<YourDataType> YourItemsSource
            {
                get => _yourItemsSource;
                set
                {
                    _yourItemsSource = value;
                    OnPropertyChanged(nameof(YourItemsSource));
                }
            }

            public ICommand CheckCommand => new RelayCommand<YourDataType>(ExecuteCheckCommand);

            private void ExecuteCheckCommand(YourDataType item)
            {
                // Your command logic here
                item.Check = !item.Check; // Toggle the checkbox state
            }

            public event PropertyChangedEventHandler PropertyChanged;

            protected void OnPropertyChanged(string propertyName)
            {
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        public partial class MainWindow : Window
        {
            public MainWindow()
            {
                InitializeComponent();
                DataContext = new YourViewModel();
            }

            public void XamDockManager_ToolWindowLoaded(object sender, Infragistics.Windows.DockManager.Events.PaneToolWindowEventArgs e)
            {

            }

            private void XamCheckEditor_ValueChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
            {
            }
        }
    }